Subject: Re: 1.3.2: signgam problem still present in plotutils, gnuplot etc.
From: "J. Johnston" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 13 Jun 2001 17:09:38 -0400

Christopher Faylor wrote:
> 
> On Tue, Jun 12, 2001 at 09:35:38PM +0200, Frank Wuebbeling wrote:
> >> Hmm.  I don't recall anyone submitting a patch for this.
> >
> >The mailing on the CYGWIN list I referred to had a patch, to which several
> >people agreed it worked. It almost also did the job for plotutils, meaning
> >it revealed a problem in plotutils, removing that one made it work (the
> >problem was that plotutils assumes that signgam is a variable, and
> >redeclares it - which fails if it is not and is obsolete anyway since math.h
> >is responsible for declaring it).
> >
> >Again, the page was http://www.cygwin.com/ml/cygwin/2001-03/msg01837.html. I
> >quote the main idea. I have no idea whatsoever what the change really does,
> >so I don't want to submit a patch - I just propose reconsidering the old
> >posting which had one. I incorporated the fix in math.h. Here's the original
> >posting:
> 
> Ok.  That's not a patch.  I have no idea where this definition would go.
> I'm sure that I could probably track it down but, if it is important to
> you, you should start a thread on the newlib mailing list, asking for
> the change since this is apparently a newlib construction.
> 
> I've cc'ed newlib and redirected the discussion there.
> 
>

Newlib changed math.h in January to have an errno-like solution for signgam whereby a function gets
called.  Is math.h up to date in the user's Cygwin and is it being included by the source code in
question?  See: http://sources.redhat.com/ml/newlib-cvs/2001-q1/msg00013.html for details on the
patch applied in January.

-- Jeff J.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple